import request from '@/utils/request'

// 查询问医生列表
export function listDocOrder(query) {
  return request({
    url: '/doc/docOrder/list',
    method: 'get',
    params: query
  })
}

// 查询问医生详细
export function getDocOrder(orderId) {
  return request({
    url: '/doc/docOrder/' + orderId,
    method: 'get'
  })
}

// 新增问医生
export function addDocOrder(data) {
  return request({
    url: '/doc/docOrder',
    method: 'post',
    data: data
  })
}

// 修改问医生
export function updateDocOrder(data) {
  return request({
    url: '/doc/docOrder',
    method: 'put',
    data: data
  })
}

// 删除问医生
export function delDocOrder(orderId) {
  return request({
    url: '/doc/docOrder/' + orderId,
    method: 'delete'
  })
}

// 导出问医生
export function exportDocOrder(query) {
  return request({
    url: '/doc/docOrder/export',
    method: 'get',
    params: query
  })
}